Debian Bug report logs - #390754
ITA: piuparts -- package installation, upgrading and removal testing tool

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lars Wirzenius <liw@iki.fi>

Date: Mon, 2 Oct 2006 21:48:34 UTC

Owned by: Alastair McKinstry <mckinstry@debian.org>

Severity: normal

Fixed in version piuparts/0.20-3

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Mon, 02 Oct 2006 23:58:44 +0300
Package: wnpp
Severity: normal

I've just orphaned the piuparts package. I can't promise to spend any
time on it myself in the next few months, so it's better to be explicit
about this.

See also http://lists.debian.org/debian-devel/2006/09/msg01068.html

Alastair McKinstry offered to help, but I've concluded that I don't want
to even be an uploader for now. I don't know if Alastair wants to adopt
the package. Bill Allombert also replied; I'm not happy about the
direction Bill wants to take piuparts, but, hey, since I'm not going to
do any work on it, it's not really appropriate that I make any
decisions, either. In other words, I do not intend to pick my
successor(s).

piuparts.cs.helsinki.fi needs to be put into use again. This involves
making the package installable on sarge, because piuparts-master needs
to run on sarge, and a chroot won't do without setting things up in
complicated ways, and then it's better to just make the package
installable directly.

In addition, you need root access on the machine, to be able to run the
slave, and you'd probably best talk to debian-admin about that.

I had hoped that people would start using piuparts themselves, before
uploading, but based on the number of failures piuparts.cs.helsinki.fi
tends to find (when it does run), I'm not confident that the need for
a centralized service will go away anytime soon.

In addition to just running piuparts on the machine, you need to report
bugs based on any failures it finds (only those that are real ones;
piuparts sometimes fails for non-bugs, e.g., mirroring problems). Just
putting log files up so that people can browse them doesn't work, the
problems don't get fixed. lintian.debian.org has shown that.

(And for those wondering why I'm on an orphaning spree: I am
overcommited with regard to time and responsibilities, and am fixing
this by getting rid of all the responsibilities I can. Any predictions
of my leaving Debian are premature.)

The package description is:
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 .
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-2-486
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 390754@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: control@bugs.debian.org, 390754@bugs.debian.org
Subject: I'll adopt this
Date: Tue, 03 Oct 2006 11:20:09 +0100
retitle 390754 ITA: piuparts - package installation, upgrading and
removal testing tool
thanks

I'll adopt this, and look at getting it working on sarge ASAP, following
the plan outlined
by Lars.

Thanks Lars, for the work so far and you're welcome to step in as
uploader/ comaint
whenever time permits.

Regards
Alastair



Changed Bug title. Request was from Alastair McKinstry <mckinstry@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@computer.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 390754@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: 390754@bugs.debian.org, amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr, liw@iki.fi
Subject: Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Tue, 03 Oct 2006 16:37:40 +0100
Hi,

Following the thread on -devel, I had already submitted ITA: to the BTS.
It sounds like setting up a project on alioth might be a good way to go
-- any
objections or better suggestions?

- Alastair



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 390754@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Alastair McKinstry <mckinstry@computer.org>
Cc: 390754@bugs.debian.org, amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr
Subject: Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Tue, 03 Oct 2006 18:39:54 +0300
ti, 2006-10-03 kello 16:37 +0100, Alastair McKinstry kirjoitti:
> Hi,
> 
> Following the thread on -devel, I had already submitted ITA: to the BTS.
> It sounds like setting up a project on alioth might be a good way to go
> -- any
> objections or better suggestions?

Actually, this reminds me: during debconf6 I asked for a piuparts
project on alioth, but I forget what the name was (pkg-piuparts?) and
what happened to it (not much, I suspect), and I have no idea what the
procedure is for assigning ownership of the project to someone else.

If I'm needed for the reassigning, tell me what to do. I have no
experience using alioth for anything except this aborted piuparts
attempt, and that wasn't pleasant, so I don't know what to do.

-- 
Debian is a beast that speaks with many voices -- Richard Braakman




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 390754@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Alastair McKinstry <mckinstry@computer.org>
Cc: 390754@bugs.debian.org, amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr
Subject: Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Tue, 03 Oct 2006 18:44:04 +0300
Oh, and there's a #piuparts channel on irc.debian.org, if you're
interested in that.

-- 
Without grand dreams, how can you save the world?




Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Alastair McKinstry <mckinstry@debian.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #36 received at 390754@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Alastair McKinstry <mckinstry@computer.org>
Cc: 390754@bugs.debian.org, amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr, liw@iki.fi
Subject: Re: Bug#390754: O: piuparts -- alioth-ready now
Date: Tue, 3 Oct 2006 22:27:28 +0200
Alastair McKinstry wrote:
> Following the thread on -devel, I had already submitted ITA: to the
> BTS.  It sounds like setting up a project on alioth might be a good
> way to go -- any objections or better suggestions?

http://alioth.debian.org/project/admin/userperms.php?group_id=30965

We are all in the alioth project now, ready to start working.
I gave us all permissions enough so that we can add people and grant
permissions. I trust you guys :)

Can someone, please, request the svn repo? Feel free to take other steps
you might see appropiate.

As I said I am quite busy atm, and expect it to not improve in at least
a couple of weeks.

Happy hacking!


-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Wright <john@movingsucks.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #41 received at 390754@bugs.debian.org (full text, mbox):

From: John Wright <john@movingsucks.org>
To: Lars Wirzenius <liw@iki.fi>, 390754@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Tue, 3 Oct 2006 18:07:52 -0600
On Mon, Oct 02, 2006 at 11:58:44PM +0300, Lars Wirzenius wrote:
> Package: wnpp
> Severity: normal
> 
> I've just orphaned the piuparts package. I can't promise to spend any
> time on it myself in the next few months, so it's better to be explicit
> about this.
> 
> See also http://lists.debian.org/debian-devel/2006/09/msg01068.html
> 
> Alastair McKinstry offered to help, but I've concluded that I don't want
> to even be an uploader for now. I don't know if Alastair wants to adopt
> the package. Bill Allombert also replied; I'm not happy about the
> direction Bill wants to take piuparts, but, hey, since I'm not going to
> do any work on it, it's not really appropriate that I make any
> decisions, either. In other words, I do not intend to pick my
> successor(s).

I would be interested in co-maintaining this package.  I don't think I
have the time to give it the full attention it would need (e.g.  filing
bugs on packages that fail), but I could handle it with one or two other
people.

I'd hate to see piuparts disappear...  So if there's someone else who is
interested but wasn't planning on adopting because of the time
commitment, let's team up!

John Wright



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Wright <john@movingsucks.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #46 received at 390754@bugs.debian.org (full text, mbox):

From: John Wright <john@movingsucks.org>
To: 390754@bugs.debian.org
Cc: amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr, liw@iki.fi, Alastair McKinstry <mckinstry@computer.org>
Subject: piuparts alioth project
Date: Thu, 5 Oct 2006 12:53:09 -0600
Whoops, I didn't read the bug thread before replying on -devel and
CC-ing here...

I'm interested in joining the piuparts project on alioth.  My alioth
username is jsw-guest.

Also, for what it's worth, Lars was developing piuparts on a bzr
branch[1], which might be easier to collaborate with than a new svn
repo (and revision history is nice to have...).

 [1]: http://liw.iki.fi/liw/bzr/piuparts/

Thanks!
John Wright



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #51 received at 390754@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: John Wright <john@movingsucks.org>
Cc: 390754@bugs.debian.org, amaya@debian.org, Bill.Allombert@math.u-bordeaux1.fr, liw@iki.fi, Alastair McKinstry <mckinstry@computer.org>
Subject: Re: piuparts alioth project
Date: Thu, 5 Oct 2006 22:02:21 +0200
John Wright wrote:
> I'm interested in joining the piuparts project on alioth.  My alioth
> username is jsw-guest.

Adding you now...

-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <iwj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #56 received at 390754@bugs.debian.org (full text, mbox):

From: Ian Jackson <iwj@ubuntu.com>
To: 390754@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool
Date: Tue, 10 Oct 2006 18:37:34 +0100
John Wright writes ("Re: Bug#390754: O: piuparts -- .deb package installation, upgrading, and removal testing tool"):
> I would be interested in co-maintaining this package.  I don't think I
> have the time to give it the full attention it would need (e.g.  filing
> bugs on packages that fail), but I could handle it with one or two other
> people.

I'm also interested.  In particular, I need piuparts to be in
reasonable shape so that I can glue it into my incipient Xen+LVM
automated testing framework, which I'm doing as part of my
Canonical-funded work on Ubuntu but which I'm pretty sure will be easy
to make run on Debian packages too.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #61 received at 390754@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Lars Wirzenius <liw@iki.fi>
Cc: Bill Allombert <allomber@math.u-bordeaux.fr>, 390754@bugs.debian.org, Amaya <amaya@debian.org>, Alastair McKinstry <mckinstry@debian.org>, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: Re: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 14:54:03 +0100
Lars Wirzenius wrote:
> On to, 2006-10-19 at 15:30 +0200, Bill Allombert wrote:
>   
>> On Thu, Oct 19, 2006 at 04:10:27PM +0300, Lars Wirzenius wrote:
>>     
>>> I notice that no-one's yet done an upload of piuparts to adopt it. Any
>>> news about that?
>>>
>>> Ian hasn't been added to the project yet. I can do that if he tells me
>>> his alioth username (I don't know how to look them up).
>>>       
>> The problems I reported are mostly work-around for transcient problem in
>> the upgrade process, so maybe they are not worth adressing in piuparts.
>>     
>
> It would still be good to do an upload so that bug reports go to the new
> maintainers, and so that etch does not release with piuparts maintained
> by debian-qa.
>
>   
Agreed. I will do an upload tonight with Maintainer: "piuparts team"
I have been a bit waylaid fixing RC bugs in my own packages, and a DSL
outage at home.

Regards
Alastair





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #66 received at 390754@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Lars Wirzenius <liw@iki.fi>
Cc: 390754@bugs.debian.org, Amaya <amaya@debian.org>, Alastair McKinstry <mckinstry@debian.org>, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: Re: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 15:30:55 +0200
On Thu, Oct 19, 2006 at 04:10:27PM +0300, Lars Wirzenius wrote:
> I notice that no-one's yet done an upload of piuparts to adopt it. Any
> news about that?
> 
> Ian hasn't been added to the project yet. I can do that if he tells me
> his alioth username (I don't know how to look them up).

The problems I reported are mostly work-around for transcient problem in
the upgrade process, so maybe they are not worth adressing in piuparts.

(I use a patched version that work-around these issues).

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large blue swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #71 received at 390754@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Amaya <amaya@debian.org>
Cc: Alastair McKinstry <mckinstry@debian.org>, Bill Allombert <allomber@math.u-bordeaux.fr>, 390754@bugs.debian.org, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: Re: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 19:27:07 +0300
On to, 2006-10-19 at 18:16 +0200, Amaya wrote:
> Input appreciated: other tasks I might have left out, ideas you's like
> to see implemented.... 

piuparts.cs.helsinki.fi could use with someone to maintain and use it to
run piuparts. It's relatively fast, has oodles of disk space, and it's
there explicitly for piuparts work.

At this point it would be enough for someone to take over root duties on
it (updating when there's security updates, etc).

-- 
Wolfen one, you are my midday moon and I your midnight sun.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #76 received at 390754@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: 390754@bugs.debian.org
Cc: Amaya <amaya@debian.org>, Alastair McKinstry <mckinstry@debian.org>, Bill Allombert <allomber@math.u-bordeaux.fr>, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 16:10:27 +0300
I notice that no-one's yet done an upload of piuparts to adopt it. Any
news about that?

Ian hasn't been added to the project yet. I can do that if he tells me
his alioth username (I don't know how to look them up).

-- 
sic transit discus mundi




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #81 received at 390754@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: 390754@bugs.debian.org, Amaya <amaya@debian.org>, Alastair McKinstry <mckinstry@debian.org>, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: Re: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 16:45:45 +0300
On to, 2006-10-19 at 15:30 +0200, Bill Allombert wrote:
> On Thu, Oct 19, 2006 at 04:10:27PM +0300, Lars Wirzenius wrote:
> > I notice that no-one's yet done an upload of piuparts to adopt it. Any
> > news about that?
> > 
> > Ian hasn't been added to the project yet. I can do that if he tells me
> > his alioth username (I don't know how to look them up).
> 
> The problems I reported are mostly work-around for transcient problem in
> the upgrade process, so maybe they are not worth adressing in piuparts.

It would still be good to do an upload so that bug reports go to the new
maintainers, and so that etch does not release with piuparts maintained
by debian-qa.

-- 
Crappy tools are not worth it. Find or make better ones.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#390754; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #86 received at 390754@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Alastair McKinstry <mckinstry@debian.org>
Cc: Lars Wirzenius <liw@iki.fi>, Bill Allombert <allomber@math.u-bordeaux.fr>, 390754@bugs.debian.org, Amaya <amaya@debian.org>, John Wright <john@movingsucks.org>, Ian Jackson <iwj@ubuntu.com>
Subject: Re: No new piuparts upload yet?
Date: Thu, 19 Oct 2006 18:16:59 +0200
Alastair McKinstry wrote:
> Agreed. I will do an upload tonight with Maintainer: "piuparts team"

I will be most grateful if you can do that.

Tasks that still need to happen:
- Add Ian Jackson to the alioth project (what is his unix username?)
- Request a mailing list for the team
- Request a mailing list for the svn commits
- Create an alioth home page with links to all the relevant information
  about piuparts spread around the web. Or make an A dns entry that
  points to such homepage if it is already done.

ATM I am busy with RL and having some issues. But I intend to take over
these tasks starting with the last one, upwards (from less priority to
more priority). 

Input appreciated: other tasks I might have left out, ideas you's like
to see implemented.... 

-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #91 received at 390754-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 390754-close@bugs.debian.org
Subject: Bug#390754: fixed in piuparts 0.20-3
Date: Mon, 23 Oct 2006 08:17:18 -0700
Source: piuparts
Source-Version: 0.20-3

We believe that the bug you reported is fixed in the latest version of
piuparts, which is due to be installed in the Debian FTP archive:

piuparts_0.20-3.diff.gz
  to pool/main/p/piuparts/piuparts_0.20-3.diff.gz
piuparts_0.20-3.dsc
  to pool/main/p/piuparts/piuparts_0.20-3.dsc
piuparts_0.20-3_all.deb
  to pool/main/p/piuparts/piuparts_0.20-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390754@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated piuparts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 23 Oct 2006 16:02:19 +0100
Source: piuparts
Binary: piuparts
Architecture: source all
Version: 0.20-3
Distribution: unstable
Urgency: low
Maintainer: Lustre Developers team <piuparts-devel@lists.alioth.debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 piuparts   - .deb package installation, upgrading, and removal testing tool
Closes: 390754
Changes: 
 piuparts (0.20-3) unstable; urgency=low
 .
   * New Maintainer(s): piuparts team. Closes: #390754.
Files: 
 c641cfe1edb968a05e4c84d0c8c6adfd 853 devel optional piuparts_0.20-3.dsc
 7903b91fc560b90eca7bc60e3cc6b734 3233 devel optional piuparts_0.20-3.diff.gz
 6476f40a8ba5ea3c42bdc5cf3acd9d1b 44272 devel optional piuparts_0.20-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFPNtVQTK/kCo4XFcRAlqUAKDdSNug7o31BCEDHfxEHy8FBIUTJwCgpZkP
6onxaBsZMHrETJW11o68hes=
=xbKz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:50:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:11:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.